> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notifications

> List all notification configurations for a team.

**Required Role:** VIEWER or higher

**Query Parameters:**
- `q`: Search by name (case-insensitive partial match)
- `event_type`: Filter by event type
- `is_enabled`: Filter by enabled status
- `sort_by`: Field to sort by (name, event_type, created_at)
- `sort_order`: Sort direction (asc, desc). Default: desc
- `page`: Page number (default: 1)
- `limit`: Items per page (default: 50, max: 100)



## OpenAPI

````yaml GET /v1/teams/{team_id}/notifications
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/notifications:
    get:
      tags:
        - Notifications
      summary: List Notification Configs
      description: |-
        List all notification configurations for a team.

        **Required Role:** VIEWER or higher

        **Query Parameters:**
        - `q`: Search by name (case-insensitive partial match)
        - `event_type`: Filter by event type
        - `is_enabled`: Filter by enabled status
        - `sort_by`: Field to sort by (name, event_type, created_at)
        - `sort_order`: Sort direction (asc, desc). Default: desc
        - `page`: Page number (default: 1)
        - `limit`: Items per page (default: 50, max: 100)
      operationId: list_notification_configs_v1_teams__team_id__notifications_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search by name (case-insensitive partial match)
            title: Q
          description: Search by name (case-insensitive partial match)
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by event type
            title: Event Type
          description: Filter by event type
        - name: is_enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by enabled status
            title: Is Enabled
          description: Filter by enabled status
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 50
            title: Limit
          description: Items per page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - name
                  - event_type
                  - created_at
                type: string
              - type: 'null'
            description: 'Field to sort by: name, event_type, created_at'
            title: Sort By
          description: 'Field to sort by: name, event_type, created_at'
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            description: 'Sort order: asc or desc (default: desc)'
            title: Sort Order
          description: 'Sort order: asc or desc (default: desc)'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_NotificationConfigResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
      description: Sort order for list endpoints.
    PaginatedResponse_NotificationConfigResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/NotificationConfigResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: PaginatedResponse[NotificationConfigResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NotificationConfigResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        name:
          type: string
          title: Name
        event_type:
          type: string
          title: Event Type
        event_filters:
          additionalProperties: true
          type: object
          title: Event Filters
        message_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Message Template
        is_enabled:
          type: boolean
          title: Is Enabled
        apprise_vault_secret_id:
          type: string
          format: uuid
          title: Apprise Vault Secret Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - team_id
        - name
        - event_type
        - event_filters
        - message_template
        - is_enabled
        - apprise_vault_secret_id
        - created_at
        - updated_at
      title: NotificationConfigResponse
      description: Schema for notification config API responses
    PaginationResponse:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - limit
        - total
        - total_pages
      title: PaginationResponse
      description: Pagination metadata in responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````